Page MenuHomePhabricator

Don't allow non-existent wikis in server configuration files
Closed, ResolvedPublic

Description

In https://gerrit.wikimedia.org/r/#/c/244142/ a wrong wiki name was added to InitialiseSettings.php - "nbwiki" instead of "nowiki".

It would be useful to catch this before it gets deployed using some kind of a test.

Event Timeline

Amire80 created this task.Oct 9 2015, 7:28 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2015, 7:28 PM
Krenair added a subscriber: Krenair.Oct 9 2015, 8:05 PM
revi added a subscriber: revi.Oct 10 2015, 9:38 AM
hashar added a subscriber: hashar.

A test has been introduced recently that loads InitialiseSettings.php. So one can no easily write a test that verify that keys of each of our settings are valid dblist filename | wiki database | 'default'.

Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptAug 5 2017, 12:07 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptNov 6 2018, 7:03 PM

Change 467448 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] [tests] Ensure only existing wikis are referenced from IS.php

https://gerrit.wikimedia.org/r/467448

Urbanecm claimed this task.Nov 6 2018, 7:04 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 6 2018, 7:04 PM

Anybody to review this patch?

Change 467448 merged by jenkins-bot:
[operations/mediawiki-config@master] [tests] Ensure only existing wikis are referenced from IS.php

https://gerrit.wikimedia.org/r/467448

hashar closed this task as Resolved.Dec 12 2018, 8:36 AM

It seems that got fixed by adding tests.

Indeed, thanks for resolving.